Subject: Re: [Tigers] Girling Red Brake Grease

From: David Sosna <[email-masked]>
Date: Tue, 12 Mar 2013 14:23:15 -0700

Hi Jay:
I think Moss Motors still sells the individual saches (sp?) of Girling 
red brake grease.

Best Regards

David Sosna
On 03/12/2013 02:15 PM, Jay Laifman wrote:
> I have the Tiger's servo open and I'm going to regrease the large seal.
>
> I see that the "correct" grease is stated as Girling Red Brake Grease.  It
> is close to impossible to find - unless you call Sunbeam Specialties of
> course!
>
> But before I called them, I was searching the internet.  I found there is a
> TRW Brake Grease that was made to be a replacement.  I don't know if it is
> better than the red grease or not.  But, it does not seem to be any easier
> to find.
>
> In my search, I did come across an odd site that listed substitutes.  For
> the TRW Brake Grease, it actually lists it as "TRW/Lucas Brake Grease
> PFG110."  I thought it was interesting that it included Lucas in the name.
> It also lists these two as alternatives:  SLIPKOTE 211 Silicone Disc Brake
> Caliper Grease or SLIPKOTE 220-R with PTFE Disc Brake Caliper Grease.
>
> So, I did a search for brake caliper grease and came up with this stuff
> which appears to be more readily available:
> http://www.oreillyauto.com/site/c/detail/CRC0/05359.oap?pt=N0448
>
> My assumption is that if we can still get red brake grease, it is likely
> better than the substitutes - as the substitutes are probably less toxic,
> but not as good of a product.  I also note that this brake grease says it
> is for lots of things that may or may not apply.  That said, I'm not sure
> that the red grease that we can buy is the same as what it used to be.
>
> So, does anyone think this stuff is actually better and should be used
> instead?
> _______________________________________________
>
> [email-masked]
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]

---

From: Jay Laifman <[email-masked]>
Date: Tue, 12 Mar 2013 15:28:27 -0700

Thanks.  Yes, Sunbeam Specialties sells it, and I bought it from them.  I
was just wondering if the "new" stuff might be better - and spreading the
information I came across in the situation that the SS/MM stuff finally
disappears.

Jay

On Tue, Mar 12, 2013 at 2:23 PM, David Sosna
<[email-masked]>wrote:

> Hi Jay:
> I think Moss Motors still sells the individual saches (sp?) of Girling red
> brake grease.
>
> Best Regards
>
> David Sosna
>> http://www.oreillyauto.com/**site/c/detail/CRC0/05359.oap?**pt=N0448<http://www.oreillyauto.com/site/c/detail/CRC0/05359.oap?pt=N0448>
>>
>> ______________________________**_________________
>>
>> [email-masked]
>>
>> Donate: http://www.team.net/donate.**html<http://www.team.net/donate.html>
>> Unsubscribe: http://autox.team.net/mailman/**options/tigers/**
>> [email-masked]<http://autox.team.net/mailman/options/tigers/[email-masked]>
>>
> ______________________________**_________________
>
> [email-masked]
>
> Donate: http://www.team.net/donate.**html<http://www.team.net/donate.html>
> Unsubscribe: http://autox.team.net/mailman/**options/tigers/jay.laifman@**
> gmail.com<http://autox.team.net/mailman/options/tigers/[email-masked]>

[email-masked]

---

From: Jay Laifman <[email-masked]>
Date: Tue, 12 Mar 2013 15:50:27 -0700

And I just got an email from Rick.  I had not purchased it from Rick, but
his assistant.  Rick said that the red grease is not for the leather seal.
He suggested a moly type grease and that some people use vaseline.

I know my wife uses Aquafor for her hands instead of vaseline.
http://www.eucerinus.com/products/aquaphor/aquaphor-healing-ointment.html

I wonder if that would be even better.  I suspect though that it might not
last with any hint of brake fluid.

[email-masked]

---

From: "Jerry Mo Christopherson" <[email-masked]>
Date: Wed, 13 Mar 2013 11:32:21 -0500

Just as a "here's what I did" category.   When I did my servo (13 years ago)
I sent the "can" off and had it coated (inside) with a Teflon type of
coating (I think it was the type of stuff they put on the outside of piston
skirts).  I've had no issues of ANY kind since.

Jerry Christopherson
9473187

TAC inspector #58

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
On Behalf Of Jay Laifman
Sent: Tuesday, March 12, 2013 4:16 PM
To: Tiger's Den
Subject: [Tigers] Girling Red Brake Grease

My assumption is that if we can still get red brake grease, it is likely
better than the substitutes - as the substitutes are probably less toxic,
but not as good of a product.  I also note that this brake grease says it is
for lots of things that may or may not apply.  That said, I'm not sure that
the red grease that we can buy is the same as what it used to be.

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe:
http://autox.team.net/mailman/options/tigers/[email-masked]
_______________________________________________

[email-masked]

---

From: Jay Laifman <[email-masked]>
Date: Wed, 13 Mar 2013 11:26:34 -0700

FYI, I just heard from Rick that he has lots of it and has no trouble
getting more.

So, all is good.

Jay

[email-masked]